Package ru.bitel.bgbilling.kernel.contract.balance.common.bean

# Class ChargeType

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType
ru.bitel.bgbilling.kernel.contract.balance.common.bean.ChargeType

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class ChargeType
    extends BalanceBaseType

Bean типа расхода, использовать через справочник: getContext().getDirectory( ChargeType.class )....

See Also:
  Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `editable, parentId, type, TYPE_ALL, TYPE_BRANCH, TYPE_EDITABLE, TYPE_LEAF, TYPE_UNEDITABLE`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ChargeType()` |
  `ChargeType​(int id, java.lang.String title, int type, boolean editable, int parentId, boolean payback)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `isPayback()` |
  `void` | `setPayback​(boolean payback)` | Установка, является ли данный расход возвратом.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.common.bean.BalanceBaseType

  `getEditable, getParentId, getType, setEditable, setParentId, setType`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ChargeType

    public ChargeType()

  - ### ChargeType

    public ChargeType​(int id, java.lang.String title, int type, boolean editable, int parentId, boolean payback)

- ## Method Details

  - ### isPayback

    public boolean isPayback()
    Returns:
      если данный расход является возвратом = true;

  - ### setPayback

    public void setPayback​(boolean payback)
    Установка, является ли данный расход возвратом.
    Parameters:
      `payback` - - true если возврат